LFR-FSW - Bug #357

TC_LFR_UPDATE_TIME n'est pas correctement prise en compte
06/03/2015 04:29 PM - bruno katra

Status: Closed Start date: 24/10/2014
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Test joué:

/home/validation/SCRIPT/long_timeissue_normal.py

Objectif du test

Envoi d'un TC_LFR_UPDATE_TIME avec CP_RPW_TIME=0x1b45fd970000 suivi du timecode 300ms apres, on obtient sur le
TM_LFR_HK, la valeur TIME=0x83018d974fad.

09:35:48.460875, * 32, *TM_LFR_HK, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: HK_ROUTINE = 4,
(PACKET_ID=0xcc4), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=0,
(PACKET_SEQUENCE_CONTROL=0xc000), PACKET_LENGTH=117, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: HOUSEKEEPING_AND_DIAGNOSTIC_DATA_REPORTING = 3, SERVICE_SUBTYPE:
HK_PARAMETER_REPORT = 25, DESTINATION_ID: GROUND = 0, TIME=0x800000024253,

09:35:48.774069, TC_LFR_UPDATE_TIME, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 =76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000), PACKET_LENGTH=11,
CCSDS_SECONDARY_HEADER_FLAG=0, PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1,
ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE=1, SERVICE_TYPE:
TIME_MANAGEMENT =9, SERVICE_SUBTYPE: UPDATE_TIME = 129, SOURCE_ID: MISSION_TIMELINE = 110,
CP_RPW_TIME=0x1b45fd970000, CRC = 0x44f1

09:35:49.460849, * 32 , *TM_LFR_HK, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: HK_ROUTINE = 4,
(PACKET_ID=0xcc4), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=1,
(PACKET_SEQUENCE_CONTROL=0xc001), PACKET_LENGTH=117, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: HOUSEKEEPING_AND_DIAGNOSTIC_DATA_REPORTING = 3, SERVICE_SUBTYPE:
HK_PARAMETER_REPORT = 25, DESTINATION_ID: GROUND = 0, T*IME=0x80000003424d",

09:35:50.460926, * 32 , *TM_LFR_HK, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: HK_ROUTINE = 4,
(PACKET_ID=0xcc4), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=2,
(PACKET_SEQUENCE_CONTROL=0xc002), PACKET_LENGTH=117, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: HOUSEKEEPING_AND_DIAGNOSTIC_DATA_REPORTING = 3, SERVICE_SUBTYPE:
HK_PARAMETER_REPORT = 25, DESTINATION_ID: GROUND = 0, TIME=0x83018d974fad,

Contexte

LFR_FSW_PATH = /opt/LFR-FSW/2.0.1.1/fsw

Bridge selection = StarDundee

SocExplorerEngine.getSocExplorer: Version = 0.2.2, Branch = default, Changeset = c839740ef520

Carte EM
VHDL: 1.1.26

History

#1 - 06/03/2015 04:30 PM - bruno katra
- Tracker changed from Task to Bug

- revision set to r0
#2 - 01/10/2015 03:51 PM - bruno katra

- Status changed from New to Closed

Bug lié a la plateforme de test. Bug contourné a ce jour.
